Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub3/tei-to-epub3.xsl	(revision 2397)
@@ -1,583 +1,769 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:iso="http://www.iso.org/ns/1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:teix="http://www.tei-c.org/ns/Examples" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ncx="http://www.daisy.org/z3986/2005/ncx/" version="2.0" exclude-result-prefixes="iso tei teix dc html ncx" xpath-default-namespace="http://www.tei-c.org/ns/1.0">
-  <xsl:import href="../html5/tei.xsl"/>
-  <xsl:import href="../epub/epub-common.xsl"/>
-  <xsl:import href="../epub/epub-preflight.xsl"/>
-  <xsl:output method="xml" encoding="utf-8" doctype-system="" indent="no"/>
-  <xsl:key match="tei:graphic[not(ancestor::teix:egXML)]" use="1" name="G"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-    <desc>
-      <p>
-	TEI stylesheet for making ePub output. A lot learnt from
-	http://www.hxa.name/articles/content/epub-guide_hxa7241_2007.xhtml and
-	the stylesheets of the NZETC.
-      </p>
-      <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:dc="http://purl.org/dc/elements/1.1/"
+	xmlns:iso="http://www.iso.org/ns/1.0"
+	xmlns="http://www.w3.org/1999/xhtml"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:ncx="http://www.daisy.org/z3986/2005/ncx/" version="2.0"
+	exclude-result-prefixes="iso tei teix dc html ncx"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0">
+	<xsl:import href="../html5/tei.xsl" />
+	<xsl:import href="../epub/epub-common.xsl" />
+	<xsl:import href="../epub/epub-preflight.xsl" />
+	<xsl:output method="xml" encoding="utf-8" doctype-system=""
+		indent="no" />
+	<xsl:key match="tei:graphic[not(ancestor::teix:egXML)]" use="1"
+		name="G" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet for making ePub output. A lot learnt from
+				http://www.hxa.name/articles/content/epub-guide_hxa7241_2007.xhtml
+				and
+				the stylesheets of the NZETC.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-      <p>Author: See AUTHORS</p>
-      <p>Id: $Id: tei-to-epub3.xsl 10057 2012-01-21 16:57:14Z rahtz $</p>
-      <p>Copyright: 2008, TEI Consortium</p>
-    </desc>
-  </doc>
-  <xsl:param name="opfPackageVersion">3.0</xsl:param>
-  <xsl:param name="STDOUT">false</xsl:param>
-  <xsl:param name="autoHead">true</xsl:param>
-  <xsl:param name="autoToc">true</xsl:param>
-  <xsl:param name="bottomNavigationPanel">false</xsl:param>
-  <xsl:param name="coverimage"/>
-  <xsl:param name="createanttask">false</xsl:param>
-  <xsl:param name="cssFile">../tei.css</xsl:param>
-  <xsl:param name="cssODDFile">../odd.css</xsl:param>
-  <xsl:param name="cssPrintFile">../epub-print.css</xsl:param>
-  <xsl:param name="debug">false</xsl:param>
-  <xsl:param name="directory">.</xsl:param>
-  <xsl:param name="doctypePublic"/>
-  <xsl:param name="doctypeSystem"/>
-  <xsl:param name="fixgraphicsurl">false</xsl:param>
-  <xsl:param name="inputDir">.</xsl:param>
-  <xsl:param name="institution"/>
-  <xsl:param name="linkPanel">false</xsl:param>
-  <xsl:param name="odd">false</xsl:param>
-  <xsl:param name="outputDir"><xsl:value-of select="$directory"/>/OPS</xsl:param>
-  <xsl:param name="outputMethod">xml</xsl:param>
-  <xsl:param name="outputSuffix">.xhtml</xsl:param>
-  <xsl:param name="outputTarget">epub3</xsl:param>
-  <xsl:param name="publisher"/>
-  <xsl:param name="splitLevel">0</xsl:param>
-  <xsl:param name="subject"/>
-  <xsl:param name="tocDepth">5</xsl:param>
-  <xsl:param name="tocFront">true</xsl:param>
-  <xsl:param name="topNavigationPanel">false</xsl:param>
-  <xsl:param name="uid"/>
-  <xsl:param name="useHeaderFrontMatter">false</xsl:param>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>(extensible) wrapper for root element</desc>
-  </doc>
-  <xsl:template match="/">
-    <xsl:call-template name="processTEI"/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>[epub] Override of top-level template. This does most of
-  the work: performing the normal transformation, fixing the links to graphics files so that they are
-  all relative, creating the extra output files, etc</desc>
-  </doc>
-  <xsl:template name="processTEI">
-    <xsl:variable name="stage1">
-      <xsl:apply-templates mode="preflight"/>
-    </xsl:variable>
-    <xsl:for-each select="$stage1">
-      <xsl:call-template name="processTEIHook"/>
-      <xsl:variable name="coverImageOutside">
-        <xsl:choose>
-          <xsl:when test="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs]">
-            <xsl:for-each select="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs][1]">
-              <xsl:for-each select="id(substring(@facs,2))">
-                <xsl:choose>
-                  <xsl:when test="count(tei:graphic)=1">
-                    <xsl:value-of select="tei:graphic/@url"/>
-                  </xsl:when>
-                  <xsl:otherwise>
-                    <xsl:value-of select="tei:graphic[2]/@url"/>
-                  </xsl:otherwise>
-                </xsl:choose>
-              </xsl:for-each>
-            </xsl:for-each>
-          </xsl:when>
-          <xsl:when test="not($coverimage='')">
-            <xsl:value-of select="$coverimage"/>
-          </xsl:when>
-        </xsl:choose>
-      </xsl:variable>
-      <xsl:variable name="coverImageInside">
-        <xsl:choose>
-          <xsl:when test="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs]">
-            <xsl:for-each select="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs][1]">
-              <xsl:for-each select="id(substring(@facs,2))">
-                <xsl:value-of select="tei:graphic[1]/@url"/>
-              </xsl:for-each>
-            </xsl:for-each>
-          </xsl:when>
-          <xsl:when test="not($coverimage='')">
-            <xsl:value-of select="$coverimage"/>
-          </xsl:when>
-        </xsl:choose>
-      </xsl:variable>
-      <xsl:choose>
-        <xsl:when test="$splitLevel='-1'">
-          <xsl:apply-templates/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:apply-templates mode="split"/>
-        </xsl:otherwise>
-      </xsl:choose>
-      <xsl:for-each select="*">
-        <xsl:variable name="TOC">
-          <TOC xmlns="http://www.w3.org/1999/xhtml">
-            <xsl:call-template name="mainTOC"/>
-          </TOC>
-        </xsl:variable>
-        <!--
-	    <xsl:result-document href="/tmp/TOC">
-	    <xsl:copy-of select="$TOC"/>
-	    </xsl:result-document>
--->
-        <xsl:for-each select="tokenize($javascriptFiles,',')">
-          <xsl:variable name="file" select="normalize-space(.)"/>
-          <xsl:variable name="name" select="tokenize($file,'/')[last()]"/>
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write Javascript file <xsl:value-of select="$name"/></xsl:message>
-          </xsl:if>
-          <xsl:result-document method="text" href="{concat($directory,'/OPS/',$name)}">
-            <xsl:for-each select="unparsed-text($file)">
-              <xsl:copy-of select="."/>
-            </xsl:for-each>
-          </xsl:result-document>
-        </xsl:for-each>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/stylesheet.css</xsl:message>
-        </xsl:if>
-        <xsl:result-document method="text" href="{concat($directory,'/OPS/stylesheet.css')}">
-          <xsl:if test="not($cssFile='')">
-            <xsl:if test="$verbose='true'">
-              <xsl:message>reading file <xsl:value-of select="$cssFile"/></xsl:message>
-            </xsl:if>
-            <xsl:for-each select="tokenize(unparsed-text($cssFile),     '\r?\n')">
-              <xsl:call-template name="purgeCSS"/>
-            </xsl:for-each>
-          </xsl:if>
-          <xsl:if test="not($cssSecondaryFile='')">
-            <xsl:if test="$verbose='true'">
-              <xsl:message>reading secondary file <xsl:value-of select="$cssSecondaryFile"/></xsl:message>
-            </xsl:if>
-            <xsl:for-each select="tokenize(unparsed-text($cssSecondaryFile),       '\r?\n')">
-              <xsl:call-template name="purgeCSS"/>
-            </xsl:for-each>
-          </xsl:if>
-          <xsl:if test="$odd='true'">
-            <xsl:if test="$verbose='true'">
-              <xsl:message>reading file <xsl:value-of select="$cssODDFile"/></xsl:message>
-            </xsl:if>
-            <xsl:for-each select="tokenize(unparsed-text($cssODDFile),         '\r?\n')">
-              <xsl:call-template name="purgeCSS"/>
-            </xsl:for-each>
-          </xsl:if>
-          <xsl:if test="$odd='true'">
-            <xsl:if test="$verbose='true'">
-              <xsl:message>reading file <xsl:value-of select="$cssODDFile"/></xsl:message>
-            </xsl:if>
-            <xsl:for-each select="tokenize(unparsed-text($cssODDFile),         '\r?\n')">
-              <xsl:call-template name="purgeCSS"/>
-            </xsl:for-each>
-          </xsl:if>
-          <xsl:if test="$filePerPage='true'">
-            <xsl:text>body { width: </xsl:text>
-            <xsl:value-of select="$viewPortWidth"/>
-            <xsl:text>px;
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: tei-to-epub3.xsl 10057 2012-01-21 16:57:14Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+	<xsl:param name="opfPackageVersion">
+		3.0
+	</xsl:param>
+	<xsl:param name="STDOUT">
+		false
+	</xsl:param>
+	<xsl:param name="autoHead">
+		true
+	</xsl:param>
+	<xsl:param name="autoToc">
+		true
+	</xsl:param>
+	<xsl:param name="bottomNavigationPanel">
+		false
+	</xsl:param>
+	<xsl:param name="coverimage" />
+	<xsl:param name="createanttask">
+		false
+	</xsl:param>
+	<xsl:param name="cssFile">
+		../tei.css
+	</xsl:param>
+	<xsl:param name="cssODDFile">
+		../odd.css
+	</xsl:param>
+	<xsl:param name="cssPrintFile">
+		../epub-print.css
+	</xsl:param>
+	<xsl:param name="debug">
+		false
+	</xsl:param>
+	<xsl:param name="directory">
+		.
+	</xsl:param>
+	<xsl:param name="doctypePublic" />
+	<xsl:param name="doctypeSystem" />
+	<xsl:param name="fixgraphicsurl">
+		false
+	</xsl:param>
+	<xsl:param name="inputDir">
+		.
+	</xsl:param>
+	<xsl:param name="institution" />
+	<xsl:param name="linkPanel">
+		false
+	</xsl:param>
+	<xsl:param name="odd">
+		false
+	</xsl:param>
+	<xsl:param name="outputDir">
+		<xsl:value-of select="$directory" />
+		/OPS
+	</xsl:param>
+	<xsl:param name="outputMethod">
+		xml
+	</xsl:param>
+	<xsl:param name="outputSuffix">
+		.xhtml
+	</xsl:param>
+	<xsl:param name="outputTarget">
+		epub3
+	</xsl:param>
+	<xsl:param name="publisher" />
+	<xsl:param name="splitLevel">
+		0
+	</xsl:param>
+	<xsl:param name="subject" />
+	<xsl:param name="tocDepth">
+		5
+	</xsl:param>
+	<xsl:param name="tocFront">
+		true
+	</xsl:param>
+	<xsl:param name="topNavigationPanel">
+		false
+	</xsl:param>
+	<xsl:param name="uid" />
+	<xsl:param name="useHeaderFrontMatter">
+		false
+	</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>(extensible) wrapper for root element</desc>
+	</doc>
+	<xsl:template match="/">
+		<xsl:call-template name="processTEI" />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>[epub] Override of top-level template. This does most of
+			the work: performing the normal transformation, fixing the links to
+			graphics files so that they are
+			all relative, creating the extra output files, etc</desc>
+	</doc>
+	<xsl:template name="processTEI">
+		<xsl:variable name="stage1">
+			<xsl:apply-templates mode="preflight" />
+		</xsl:variable>
+		<xsl:for-each select="$stage1">
+			<xsl:call-template name="processTEIHook" />
+			<xsl:variable name="coverImageOutside">
+				<xsl:choose>
+					<xsl:when
+						test="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs]">
+						<xsl:for-each
+							select="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs][1]">
+							<xsl:for-each select="id(substring(@facs,2))">
+								<xsl:choose>
+									<xsl:when test="count(tei:graphic)=1">
+										<xsl:value-of select="tei:graphic/@url" />
+									</xsl:when>
+									<xsl:otherwise>
+										<xsl:value-of select="tei:graphic[2]/@url" />
+									</xsl:otherwise>
+								</xsl:choose>
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:when>
+					<xsl:when test="not($coverimage='')">
+						<xsl:value-of select="$coverimage" />
+					</xsl:when>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:variable name="coverImageInside">
+				<xsl:choose>
+					<xsl:when
+						test="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs]">
+						<xsl:for-each
+							select="/tei:TEI/tei:text/tei:front/tei:titlePage[@facs][1]">
+							<xsl:for-each select="id(substring(@facs,2))">
+								<xsl:value-of select="tei:graphic[1]/@url" />
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:when>
+					<xsl:when test="not($coverimage='')">
+						<xsl:value-of select="$coverimage" />
+					</xsl:when>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:choose>
+				<xsl:when test="$splitLevel='-1'">
+					<xsl:apply-templates />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:apply-templates mode="split" />
+				</xsl:otherwise>
+			</xsl:choose>
+			<xsl:for-each select="*">
+				<xsl:variable name="TOC">
+					<TOC xmlns="http://www.w3.org/1999/xhtml">
+						<xsl:call-template name="mainTOC" />
+					</TOC>
+				</xsl:variable>
+				<!-- <xsl:result-document href="/tmp/TOC"> <xsl:copy-of select="$TOC"/> 
+					</xsl:result-document> -->
+				<xsl:for-each select="tokenize($javascriptFiles,',')">
+					<xsl:variable name="file" select="normalize-space(.)" />
+					<xsl:variable name="name"
+						select="tokenize($file,'/')[last()]" />
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write Javascript file
+							<xsl:value-of select="$name" />
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document method="text"
+						href="{concat($directory,'/OPS/',$name)}">
+						<xsl:for-each select="unparsed-text($file)">
+							<xsl:copy-of select="." />
+						</xsl:for-each>
+					</xsl:result-document>
+				</xsl:for-each>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/stylesheet.css
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document method="text"
+					href="{concat($directory,'/OPS/stylesheet.css')}">
+					<xsl:if test="not($cssFile='')">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								reading file
+								<xsl:value-of select="$cssFile" />
+							</xsl:message>
+						</xsl:if>
+						<xsl:for-each
+							select="tokenize(unparsed-text($cssFile),     '\r?\n')">
+							<xsl:call-template name="purgeCSS" />
+						</xsl:for-each>
+					</xsl:if>
+					<xsl:if test="not($cssSecondaryFile='')">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								reading secondary file
+								<xsl:value-of select="$cssSecondaryFile" />
+							</xsl:message>
+						</xsl:if>
+						<xsl:for-each
+							select="tokenize(unparsed-text($cssSecondaryFile),       '\r?\n')">
+							<xsl:call-template name="purgeCSS" />
+						</xsl:for-each>
+					</xsl:if>
+					<xsl:if test="$odd='true'">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								reading file
+								<xsl:value-of select="$cssODDFile" />
+							</xsl:message>
+						</xsl:if>
+						<xsl:for-each
+							select="tokenize(unparsed-text($cssODDFile),         '\r?\n')">
+							<xsl:call-template name="purgeCSS" />
+						</xsl:for-each>
+					</xsl:if>
+					<xsl:if test="$odd='true'">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								reading file
+								<xsl:value-of select="$cssODDFile" />
+							</xsl:message>
+						</xsl:if>
+						<xsl:for-each
+							select="tokenize(unparsed-text($cssODDFile),         '\r?\n')">
+							<xsl:call-template name="purgeCSS" />
+						</xsl:for-each>
+					</xsl:if>
+					<xsl:if test="$filePerPage='true'">
+						<xsl:text>body { width: </xsl:text>
+						<xsl:value-of select="$viewPortWidth" />
+						<xsl:text>px;
  height: </xsl:text>
-            <xsl:value-of select="$viewPortHeight"/>
-            <xsl:text>px;
+						<xsl:value-of select="$viewPortHeight" />
+						<xsl:text>px;
 }
 img.fullpage {
 position: absolute;
 height: </xsl:text>
-            <xsl:value-of select="$viewPortHeight"/>
-            <xsl:text>px; left:0px; top:0px;}
+						<xsl:value-of select="$viewPortHeight" />
+						<xsl:text>px; left:0px; top:0px;}
 </xsl:text>
-          </xsl:if>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/print.css</xsl:message>
-        </xsl:if>
-        <xsl:result-document method="text" href="{concat($directory,'/OPS/print.css')}">
-          <xsl:if test="$verbose='true'">
-            <xsl:message>reading file <xsl:value-of select="$cssPrintFile"/></xsl:message>
-          </xsl:if>
-          <xsl:for-each select="tokenize(unparsed-text($cssPrintFile),     '\r?\n')">
-            <xsl:call-template name="purgeCSS"/>
-          </xsl:for-each>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file mimetype</xsl:message>
-        </xsl:if>
-        <xsl:result-document method="text" href="{concat($directory,'/mimetype')}">
-          <xsl:value-of select="$epubMimetype"/>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file META-INF/container.xml</xsl:message>
-        </xsl:if>
-        <xsl:result-document method="xml" href="{concat($directory,'/META-INF/container.xml')}">
-          <container xmlns="urn:oasis:names:tc:opendocument:xmlns:container" version="1.0">
-            <rootfiles>
-              <rootfile full-path="OPS/package.opf" media-type="application/oebps-package+xml"/>
-            </rootfiles>
-          </container>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/package.opf</xsl:message>
-        </xsl:if>
-	<xsl:variable name="A">
-	  <xsl:call-template name="generateAuthor"/>
-	</xsl:variable>
-	<xsl:variable name="printA">
-	  <xsl:analyze-string select="$A" regex="([^,]+), ([^,]+), (.+)">
-	    <xsl:matching-substring>
-	      <xsl:value-of select="regex-group(1)"/>
-	      <xsl:text>, </xsl:text>
-	      <xsl:value-of select="regex-group(2)"/>
-	    </xsl:matching-substring>
-	    <xsl:non-matching-substring>
-	      <xsl:value-of select="."/>
-	    </xsl:non-matching-substring>
-	  </xsl:analyze-string>
-	</xsl:variable>	
-        <xsl:result-document
-	    href="{concat($directory,'/OPS/package.opf')}"
-	    method="xml" indent="yes">
-          <package xmlns="http://www.idpf.org/2007/opf" unique-identifier="pub-id" version="{$opfPackageVersion}">
-	    <xsl:call-template name="opfmetadata">
-	      <xsl:with-param name="author" select="$A"/>
-	      <xsl:with-param name="printAuthor" select="$printA"/>
-	      <xsl:with-param name="coverImageOutside" select="$coverImageOutside"/>
-	    </xsl:call-template>
-            <manifest>
-              <!-- deal with intricacies of overlay files -->
-              <xsl:variable name="TL" select="key('Timeline',1)"/>
-              <xsl:if test="$mediaoverlay='true' and key('Timeline',1)">
-                <xsl:if test="$verbose='true'">
-                  <xsl:message>write file SMIL files</xsl:message>
-                </xsl:if>
-                <xsl:for-each select="key('Timeline',1)">
-                  <xsl:variable name="TLnumber">
-                    <xsl:number level="any"/>
-                  </xsl:variable>
-                  <xsl:variable name="audio">
-                    <xsl:text>media/audio</xsl:text>
-                    <xsl:number level="any"/>
-                    <xsl:text>.</xsl:text>
-                    <xsl:value-of select="tokenize(@corresp,'\.')[last()]"/>
-                  </xsl:variable>
-                  <item id="timeline-audio{$TLnumber}" href="{$audio}">
-                    <xsl:attribute name="media-type">
+					</xsl:if>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/print.css
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document method="text"
+					href="{concat($directory,'/OPS/print.css')}">
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							reading file
+							<xsl:value-of select="$cssPrintFile" />
+						</xsl:message>
+					</xsl:if>
+					<xsl:for-each
+						select="tokenize(unparsed-text($cssPrintFile),     '\r?\n')">
+						<xsl:call-template name="purgeCSS" />
+					</xsl:for-each>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file mimetype
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document method="text"
+					href="{concat($directory,'/mimetype')}">
+					<xsl:value-of select="$epubMimetype" />
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file META-INF/container.xml
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document method="xml"
+					href="{concat($directory,'/META-INF/container.xml')}">
+					<container
+						xmlns="urn:oasis:names:tc:opendocument:xmlns:container"
+						version="1.0">
+						<rootfiles>
+							<rootfile full-path="OPS/package.opf"
+								media-type="application/oebps-package+xml" />
+						</rootfiles>
+					</container>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/package.opf
+					</xsl:message>
+				</xsl:if>
+				<xsl:variable name="A">
+					<xsl:call-template name="generateAuthor" />
+				</xsl:variable>
+				<xsl:variable name="printA">
+					<xsl:analyze-string select="$A"
+						regex="([^,]+), ([^,]+), (.+)">
+						<xsl:matching-substring>
+							<xsl:value-of select="regex-group(1)" />
+							<xsl:text>, </xsl:text>
+							<xsl:value-of select="regex-group(2)" />
+						</xsl:matching-substring>
+						<xsl:non-matching-substring>
+							<xsl:value-of select="." />
+						</xsl:non-matching-substring>
+					</xsl:analyze-string>
+				</xsl:variable>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/package.opf')}" method="xml"
+					indent="yes">
+					<package xmlns="http://www.idpf.org/2007/opf"
+						unique-identifier="pub-id" version="{$opfPackageVersion}">
+						<xsl:call-template name="opfmetadata">
+							<xsl:with-param name="author" select="$A" />
+							<xsl:with-param name="printAuthor"
+								select="$printA" />
+							<xsl:with-param name="coverImageOutside"
+								select="$coverImageOutside" />
+						</xsl:call-template>
+						<manifest>
+							<!-- deal with intricacies of overlay files -->
+							<xsl:variable name="TL" select="key('Timeline',1)" />
+							<xsl:if test="$mediaoverlay='true' and key('Timeline',1)">
+								<xsl:if test="$verbose='true'">
+									<xsl:message>
+										write file SMIL files
+									</xsl:message>
+								</xsl:if>
+								<xsl:for-each select="key('Timeline',1)">
+									<xsl:variable name="TLnumber">
+										<xsl:number level="any" />
+									</xsl:variable>
+									<xsl:variable name="audio">
+										<xsl:text>media/audio</xsl:text>
+										<xsl:number level="any" />
+										<xsl:text>.</xsl:text>
+										<xsl:value-of
+											select="tokenize(@corresp,'\.')[last()]" />
+									</xsl:variable>
+									<item id="timeline-audio{$TLnumber}" href="{$audio}">
+										<xsl:attribute name="media-type">
                       <xsl:choose>
-                        <xsl:when test="contains($audio,'.m4a')">audio/m4a</xsl:when>
+                        <xsl:when
+											test="contains($audio,'.m4a')">audio/m4a</xsl:when>
                         <xsl:otherwise>audio/m4a</xsl:otherwise>
                       </xsl:choose>
                     </xsl:attribute>
-                  </item>
-                  <xsl:for-each select="key('PB',1)">
-                    <xsl:variable name="page">
-                      <xsl:value-of select="generate-id()"/>
-                    </xsl:variable>
-                    <xsl:variable name="target">
-                      <xsl:apply-templates select="." mode="ident"/>
-                    </xsl:variable>
-                    <xsl:if test="count(key('objectOnPage',$page))&gt;0">
-                      <item id="{$target}-audio" href="{$target}-overlay.smil" media-type="application/smil+xml"/>
-                      <xsl:result-document href="{concat($directory,'/OPS/',$target,'-overlay.smil')}" method="xml">
-                        <smil xmlns="http://www.w3.org/ns/SMIL" version="3.0" profile="http://www.ipdf.org/epub/30/profile/content/">
-                          <body>
-                            <xsl:for-each select="key('objectOnPage',$page)">
-                              <xsl:variable name="object" select="@xml:id"/>
-                              <xsl:for-each select="$TL">
-                                <xsl:for-each select="key('Object',$object)">
-                                  <par id="{@xml:id}">
-                                    <text src="{$target}.xhtml{@corresp}"/>
-                                    <audio src="{$audio}" clipBegin="{@from}{../@unit}" clipEnd="{@to}{../@unit}"/>
-                                  </par>
-                                </xsl:for-each>
-                              </xsl:for-each>
-                            </xsl:for-each>
-                          </body>
-                        </smil>
-                      </xsl:result-document>
-                    </xsl:if>
-                  </xsl:for-each>
-                </xsl:for-each>
-              </xsl:if>
-              <xsl:if test="not($coverImageOutside='')">
-                <item href="{$coverImageOutside}" id="cover-image" media-type="image/jpeg"/>
-              </xsl:if>
-              <xsl:if test="not($coverimage='') and not($coverimage=$coverImageOutside)">
-                <item href="{$coverimage}" id="cover-image-extra" media-type="image/jpeg"/>
-              </xsl:if>
-              <xsl:for-each select="tokenize($javascriptFiles,',')">
-                <xsl:variable name="name" select="tokenize(normalize-space(.),'/')[last()]"/>
-                <item href="{$name}" id="javascript{position()}" media-type="text/javascript"/>
-              </xsl:for-each>
-              <item id="css" href="stylesheet.css" media-type="text/css"/>
-              <item id="print.css" href="print.css" media-type="text/css"/>
-              <item href="titlepage.xhtml" id="titlepage" media-type="application/xhtml+xml"/>
-              <xsl:if test="$filePerPage='true'">
-                <item href="titlepageverso.xhtml" id="titlepageverso" media-type="application/xhtml+xml"/>
-              </xsl:if>
-              <xsl:for-each select="tei:text/tei:front/tei:titlePage">
-                <xsl:variable name="N" select="position()"/>
-                <item href="titlepage{$N}.xhtml" id="titlepage{$N}" media-type="application/xhtml+xml"/>
-              </xsl:for-each>
-              <item href="titlepageback.xhtml" id="titlepageback" media-type="application/xhtml+xml"/>
-              <item id="toc" properties="nav" href="toc.xhtml" media-type="application/xhtml+xml"/>
-              <item id="start" href="index.xhtml" media-type="application/xhtml+xml"/>
-              <xsl:choose>
-                <xsl:when test="$filePerPage='true'">
-                  <xsl:for-each select="key('PB',1)">
-                    <xsl:variable name="target">
-                      <xsl:apply-templates select="." mode="ident"/>
-                    </xsl:variable>
-                    <xsl:if test="@facs">
-                      <xsl:variable name="facstarget">
-                        <xsl:apply-templates select="." mode="ident"/>
-                        <xsl:text>-facs.xhtml</xsl:text>
-                      </xsl:variable>
-                      <item href="{$facstarget}" media-type="application/xhtml+xml">
-                        <xsl:attribute name="id">
+									</item>
+									<xsl:for-each select="key('PB',1)">
+										<xsl:variable name="page">
+											<xsl:value-of select="generate-id()" />
+										</xsl:variable>
+										<xsl:variable name="target">
+											<xsl:apply-templates select="."
+												mode="ident" />
+										</xsl:variable>
+										<xsl:if test="count(key('objectOnPage',$page))&gt;0">
+											<item id="{$target}-audio" href="{$target}-overlay.smil"
+												media-type="application/smil+xml" />
+											<xsl:result-document
+												href="{concat($directory,'/OPS/',$target,'-overlay.smil')}"
+												method="xml">
+												<smil xmlns="http://www.w3.org/ns/SMIL" version="3.0"
+													profile="http://www.ipdf.org/epub/30/profile/content/">
+													<body>
+														<xsl:for-each
+															select="key('objectOnPage',$page)">
+															<xsl:variable name="object" select="@xml:id" />
+															<xsl:for-each select="$TL">
+																<xsl:for-each
+																	select="key('Object',$object)">
+																	<par id="{@xml:id}">
+																		<text src="{$target}.xhtml{@corresp}" />
+																		<audio src="{$audio}"
+																			clipBegin="{@from}{../@unit}"
+																			clipEnd="{@to}{../@unit}" />
+																	</par>
+																</xsl:for-each>
+															</xsl:for-each>
+														</xsl:for-each>
+													</body>
+												</smil>
+											</xsl:result-document>
+										</xsl:if>
+									</xsl:for-each>
+								</xsl:for-each>
+							</xsl:if>
+							<xsl:if test="not($coverImageOutside='')">
+								<item href="{$coverImageOutside}" id="cover-image"
+									media-type="image/jpeg" />
+							</xsl:if>
+							<xsl:if
+								test="not($coverimage='') and not($coverimage=$coverImageOutside)">
+								<item href="{$coverimage}" id="cover-image-extra"
+									media-type="image/jpeg" />
+							</xsl:if>
+							<xsl:for-each
+								select="tokenize($javascriptFiles,',')">
+								<xsl:variable name="name"
+									select="tokenize(normalize-space(.),'/')[last()]" />
+								<item href="{$name}" id="javascript{position()}"
+									media-type="text/javascript" />
+							</xsl:for-each>
+							<item id="css" href="stylesheet.css" media-type="text/css" />
+							<item id="print.css" href="print.css" media-type="text/css" />
+							<item href="titlepage.xhtml" id="titlepage"
+								media-type="application/xhtml+xml" />
+							<xsl:if test="$filePerPage='true'">
+								<item href="titlepageverso.xhtml" id="titlepageverso"
+									media-type="application/xhtml+xml" />
+							</xsl:if>
+							<xsl:for-each
+								select="tei:text/tei:front/tei:titlePage">
+								<xsl:variable name="N" select="position()" />
+								<item href="titlepage{$N}.xhtml" id="titlepage{$N}"
+									media-type="application/xhtml+xml" />
+							</xsl:for-each>
+							<item href="titlepageback.xhtml" id="titlepageback"
+								media-type="application/xhtml+xml" />
+							<item id="toc" properties="nav" href="toc.xhtml"
+								media-type="application/xhtml+xml" />
+							<item id="start" href="index.xhtml"
+								media-type="application/xhtml+xml" />
+							<xsl:choose>
+								<xsl:when test="$filePerPage='true'">
+									<xsl:for-each select="key('PB',1)">
+										<xsl:variable name="target">
+											<xsl:apply-templates select="."
+												mode="ident" />
+										</xsl:variable>
+										<xsl:if test="@facs">
+											<xsl:variable name="facstarget">
+												<xsl:apply-templates select="."
+													mode="ident" />
+												<xsl:text>-facs.xhtml</xsl:text>
+											</xsl:variable>
+											<item href="{$facstarget}"
+												media-type="application/xhtml+xml">
+												<xsl:attribute name="id">
                           <xsl:text>pagefacs</xsl:text>
-                          <xsl:number level="any"/>
+                          <xsl:number level="any" />
                         </xsl:attribute>
-                      </item>
-                    </xsl:if>
-                    <item href="{$target}.xhtml" media-type="application/xhtml+xml">
-                      <xsl:if test="$mediaoverlay='true'">
-                        <xsl:attribute name="media-overlay">
-                          <xsl:value-of select="$target"/>
+											</item>
+										</xsl:if>
+										<item href="{$target}.xhtml"
+											media-type="application/xhtml+xml">
+											<xsl:if test="$mediaoverlay='true'">
+												<xsl:attribute name="media-overlay">
+                          <xsl:value-of select="$target" />
                           <xsl:text>-audio</xsl:text>
                         </xsl:attribute>
-                      </xsl:if>
-                      <xsl:attribute name="id">
+											</xsl:if>
+											<xsl:attribute name="id">
                         <xsl:text>page</xsl:text>
-                        <xsl:number level="any"/>
+                        <xsl:number level="any" />
                       </xsl:attribute>
-                    </item>
-                  </xsl:for-each>
-                </xsl:when>
-                <xsl:otherwise>
-                  <xsl:for-each select="$TOC/html:TOC/html:ul/html:li">
-                    <xsl:choose>
-                      <xsl:when test="not(html:a)"/>
-                      <xsl:when test="starts-with(html:a/@href,'#')"/>
-                      <xsl:otherwise>
-                        <item href="{html:a[1]/@href}" media-type="application/xhtml+xml">
-                          <xsl:attribute name="id">
+										</item>
+									</xsl:for-each>
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:for-each
+										select="$TOC/html:TOC/html:ul/html:li">
+										<xsl:choose>
+											<xsl:when test="not(html:a)" />
+											<xsl:when test="starts-with(html:a/@href,'#')" />
+											<xsl:otherwise>
+												<item href="{html:a[1]/@href}"
+													media-type="application/xhtml+xml">
+													<xsl:attribute name="id">
                             <xsl:text>section</xsl:text>
-                            <xsl:number count="html:li" level="any"/>
+                            <xsl:number count="html:li"
+														level="any" />
                           </xsl:attribute>
-                        </item>
-                      </xsl:otherwise>
-                    </xsl:choose>
-                    <xsl:if test="html:ul">
-                      <xsl:for-each select="html:ul//html:li[html:a          and          not(contains(html:a/@href,'#'))]">
-                        <item href="{html:a[1]/@href}" media-type="application/xhtml+xml">
-                          <xsl:attribute name="id">
+												</item>
+											</xsl:otherwise>
+										</xsl:choose>
+										<xsl:if test="html:ul">
+											<xsl:for-each
+												select="html:ul//html:li[html:a          and          not(contains(html:a/@href,'#'))]">
+												<item href="{html:a[1]/@href}"
+													media-type="application/xhtml+xml">
+													<xsl:attribute name="id">
                             <xsl:text>section</xsl:text>
-                            <xsl:number count="html:li" level="any"/>
+                            <xsl:number count="html:li"
+														level="any" />
                           </xsl:attribute>
-                        </item>
-                      </xsl:for-each>
-                    </xsl:if>
-                  </xsl:for-each>
-                </xsl:otherwise>
-              </xsl:choose>
-              <!-- images -->
-              <xsl:for-each select="key('GRAPHICS',1)">
-                <xsl:variable name="img" select="@url|@facs"/>
-                <xsl:if test="not($img=$coverImageOutside)">
-                  <xsl:variable name="ID">
-                    <xsl:number level="any"/>
-                  </xsl:variable>
-                  <xsl:variable name="mimetype">
-                    <xsl:choose>
-                      <xsl:when test="@mimeType != ''">
-                        <xsl:value-of select="@mimeType"/>
-                      </xsl:when>
-                      <xsl:when test="contains($img,'.gif')">image/gif</xsl:when>
-                      <xsl:when test="contains($img,'.png')">image/png</xsl:when>
-                      <xsl:when test="contains($img,'.mpeg')">video/mpeg4</xsl:when>
-                      <xsl:when test="contains($img,'.mp4')">video/mpeg4</xsl:when>
-                      <xsl:when test="contains($img,'.m4v')">video/mpeg4</xsl:when>
-                      <xsl:otherwise>image/jpeg</xsl:otherwise>
-                    </xsl:choose>
-                  </xsl:variable>
-                  <item href="{$img}" id="image-{$ID}" media-type="{$mimetype}"/>
-                </xsl:if>
-              </xsl:for-each>
-              <!-- page images -->
-              <xsl:for-each select="key('PBGRAPHICS',1)">
-                <xsl:variable name="img" select="@facs"/>
-                <xsl:variable name="ID">
-                  <xsl:number level="any"/>
-                </xsl:variable>
-                <xsl:variable name="mimetype">
-                  <xsl:choose>
-                    <xsl:when test="@mimeType != ''">
-                      <xsl:value-of select="@mimeType"/>
-                    </xsl:when>
-                    <xsl:when test="contains($img,'.gif')">image/gif</xsl:when>
-                    <xsl:when test="contains($img,'.png')">image/png</xsl:when>
-                    <xsl:otherwise>image/jpeg</xsl:otherwise>
-                  </xsl:choose>
-                </xsl:variable>
-                <item href="{$img}" id="pbimage-{$ID}" media-type="{$mimetype}"/>
-              </xsl:for-each>
-              <item id="ncx" href="toc.ncx" media-type="application/x-dtbncx+xml"/>
-              <xsl:call-template name="epubManifestHook"/>
-            </manifest>
-            <spine toc="ncx">
-              <itemref idref="titlepage" linear="yes"/>
-              <xsl:if test="$filePerPage='true'">
-                <itemref idref="titlepageverso" linear="yes"/>
-              </xsl:if>
-              <xsl:for-each select="tei:text/tei:front/tei:titlePage">
-                <xsl:variable name="N" select="position()"/>
-                <itemref idref="titlepage{$N}" linear="yes"/>
-              </xsl:for-each>
-              <itemref idref="start" linear="yes"/>
-              <xsl:choose>
-                <xsl:when test="$filePerPage='true'">
-                  <xsl:for-each select="key('PB',1)">
-                    <xsl:if test="@facs">
-                      <itemref>
-                        <xsl:attribute name="idref">
+												</item>
+											</xsl:for-each>
+										</xsl:if>
+									</xsl:for-each>
+								</xsl:otherwise>
+							</xsl:choose>
+							<!-- images -->
+							<xsl:for-each select="key('GRAPHICS',1)">
+								<xsl:variable name="img" select="@url|@facs" />
+								<xsl:if test="not($img=$coverImageOutside)">
+									<xsl:variable name="ID">
+										<xsl:number level="any" />
+									</xsl:variable>
+									<xsl:variable name="mimetype">
+										<xsl:choose>
+											<xsl:when test="@mimeType != ''">
+												<xsl:value-of select="@mimeType" />
+											</xsl:when>
+											<xsl:when test="contains($img,'.gif')">
+												image/gif
+											</xsl:when>
+											<xsl:when test="contains($img,'.png')">
+												image/png
+											</xsl:when>
+											<xsl:when test="contains($img,'.mpeg')">
+												video/mpeg4
+											</xsl:when>
+											<xsl:when test="contains($img,'.mp4')">
+												video/mpeg4
+											</xsl:when>
+											<xsl:when test="contains($img,'.m4v')">
+												video/mpeg4
+											</xsl:when>
+											<xsl:otherwise>
+												image/jpeg
+											</xsl:otherwise>
+										</xsl:choose>
+									</xsl:variable>
+									<item href="{$img}" id="image-{$ID}"
+										media-type="{$mimetype}" />
+								</xsl:if>
+							</xsl:for-each>
+							<!-- page images -->
+							<xsl:for-each select="key('PBGRAPHICS',1)">
+								<xsl:variable name="img" select="@facs" />
+								<xsl:variable name="ID">
+									<xsl:number level="any" />
+								</xsl:variable>
+								<xsl:variable name="mimetype">
+									<xsl:choose>
+										<xsl:when test="@mimeType != ''">
+											<xsl:value-of select="@mimeType" />
+										</xsl:when>
+										<xsl:when test="contains($img,'.gif')">
+											image/gif
+										</xsl:when>
+										<xsl:when test="contains($img,'.png')">
+											image/png
+										</xsl:when>
+										<xsl:otherwise>
+											image/jpeg
+										</xsl:otherwise>
+									</xsl:choose>
+								</xsl:variable>
+								<item href="{$img}" id="pbimage-{$ID}"
+									media-type="{$mimetype}" />
+							</xsl:for-each>
+							<item id="ncx" href="toc.ncx"
+								media-type="application/x-dtbncx+xml" />
+							<xsl:call-template name="epubManifestHook" />
+						</manifest>
+						<spine toc="ncx">
+							<itemref idref="titlepage" linear="yes" />
+							<xsl:if test="$filePerPage='true'">
+								<itemref idref="titlepageverso" linear="yes" />
+							</xsl:if>
+							<xsl:for-each
+								select="tei:text/tei:front/tei:titlePage">
+								<xsl:variable name="N" select="position()" />
+								<itemref idref="titlepage{$N}" linear="yes" />
+							</xsl:for-each>
+							<itemref idref="start" linear="yes" />
+							<xsl:choose>
+								<xsl:when test="$filePerPage='true'">
+									<xsl:for-each select="key('PB',1)">
+										<xsl:if test="@facs">
+											<itemref>
+												<xsl:attribute name="idref">
                           <xsl:text>pagefacs</xsl:text>
-                          <xsl:number level="any"/>
+                          <xsl:number level="any" />
                         </xsl:attribute>
-                        <xsl:attribute name="linear">yes</xsl:attribute>
-                      </itemref>
-                    </xsl:if>
-                    <itemref>
-                      <xsl:attribute name="idref">
+												<xsl:attribute name="linear">yes</xsl:attribute>
+											</itemref>
+										</xsl:if>
+										<itemref>
+											<xsl:attribute name="idref">
                         <xsl:text>page</xsl:text>
-                        <xsl:number level="any"/>
+                        <xsl:number level="any" />
                       </xsl:attribute>
-                      <xsl:attribute name="linear">yes</xsl:attribute>
-                    </itemref>
-                  </xsl:for-each>
-                </xsl:when>
-                <xsl:otherwise>
-                  <xsl:for-each select="$TOC/html:TOC/html:ul/html:li">
-                    <xsl:choose>
-                      <xsl:when test="not(html:a)"/>
-                      <xsl:when test="starts-with(html:a/@href,'#')"/>
-                      <xsl:otherwise>
-                        <itemref>
-                          <xsl:attribute name="idref">
+											<xsl:attribute name="linear">yes</xsl:attribute>
+										</itemref>
+									</xsl:for-each>
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:for-each
+										select="$TOC/html:TOC/html:ul/html:li">
+										<xsl:choose>
+											<xsl:when test="not(html:a)" />
+											<xsl:when test="starts-with(html:a/@href,'#')" />
+											<xsl:otherwise>
+												<itemref>
+													<xsl:attribute name="idref">
                             <xsl:text>section</xsl:text>
-                            <xsl:number count="html:li" level="any"/>
+                            <xsl:number count="html:li"
+														level="any" />
                           </xsl:attribute>
-                          <xsl:attribute name="linear">yes</xsl:attribute>
-                        </itemref>
-                      </xsl:otherwise>
-                    </xsl:choose>
-                    <xsl:if test="html:ul">
-                      <xsl:for-each select="html:ul//html:li[html:a and not(contains(html:a/@href,'#'))]">
-                        <itemref>
-                          <xsl:attribute name="idref">
+													<xsl:attribute name="linear">yes</xsl:attribute>
+												</itemref>
+											</xsl:otherwise>
+										</xsl:choose>
+										<xsl:if test="html:ul">
+											<xsl:for-each
+												select="html:ul//html:li[html:a and not(contains(html:a/@href,'#'))]">
+												<itemref>
+													<xsl:attribute name="idref">
                             <xsl:text>section</xsl:text>
-                            <xsl:number count="html:li" level="any"/>
+                            <xsl:number count="html:li"
+														level="any" />
                           </xsl:attribute>
-                          <xsl:attribute name="linear">yes</xsl:attribute>
-                        </itemref>
-                      </xsl:for-each>
-                    </xsl:if>
-                  </xsl:for-each>
-                </xsl:otherwise>
-              </xsl:choose>
-              <itemref idref="titlepageback">
-                <xsl:attribute name="linear">
+													<xsl:attribute name="linear">yes</xsl:attribute>
+												</itemref>
+											</xsl:for-each>
+										</xsl:if>
+									</xsl:for-each>
+								</xsl:otherwise>
+							</xsl:choose>
+							<itemref idref="titlepageback">
+								<xsl:attribute name="linear">
                   <xsl:choose>
                     <xsl:when test="$filePerPage='true'">yes</xsl:when>
                     <xsl:otherwise>no</xsl:otherwise>
                   </xsl:choose>
                 </xsl:attribute>
-              </itemref>
-              <xsl:call-template name="epubSpineHook"/>
-            </spine>
-            <guide>
-              <reference type="text" href="titlepage.xhtml" title="Cover"/>
-              <reference type="text" title="Start" href="index.xhtml"/>
-              <xsl:choose>
-                <xsl:when test="$filePerPage='true'">
-		</xsl:when>
-                <xsl:otherwise>
-                  <xsl:for-each select="$TOC/html:TOC/html:ul/html:li">
-                    <xsl:if test="html:a">
-                      <reference type="text" href="{html:a[1]/@href}">
-                        <xsl:attribute name="title">
-                          <xsl:value-of select="normalize-space(html:a[1])"/>
+							</itemref>
+							<xsl:call-template name="epubSpineHook" />
+						</spine>
+						<guide>
+							<reference type="text" href="titlepage.xhtml"
+								title="Cover" />
+							<reference type="text" title="Start" href="index.xhtml" />
+							<xsl:choose>
+								<xsl:when test="$filePerPage='true'">
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:for-each
+										select="$TOC/html:TOC/html:ul/html:li">
+										<xsl:if test="html:a">
+											<reference type="text" href="{html:a[1]/@href}">
+												<xsl:attribute name="title">
+                          <xsl:value-of
+													select="normalize-space(html:a[1])" />
                         </xsl:attribute>
-                      </reference>
-                    </xsl:if>
-                    <xsl:if test="contains(parent::html:ul/@class,'group')">
-                      <xsl:for-each select="html:ul//html:li">
-                        <xsl:choose>
-                          <xsl:when test="not(html:a)"/>
-                          <xsl:when test="contains(html:a/@href,'#')"/>
-                          <xsl:otherwise>
-                            <reference type="text" href="{html:a/@href}">
-                              <xsl:attribute name="title">
-                                <xsl:value-of select="normalize-space(html:a[1])"/>
+											</reference>
+										</xsl:if>
+										<xsl:if test="contains(parent::html:ul/@class,'group')">
+											<xsl:for-each select="html:ul//html:li">
+												<xsl:choose>
+													<xsl:when test="not(html:a)" />
+													<xsl:when test="contains(html:a/@href,'#')" />
+													<xsl:otherwise>
+														<reference type="text" href="{html:a/@href}">
+															<xsl:attribute name="title">
+                                <xsl:value-of
+																select="normalize-space(html:a[1])" />
                               </xsl:attribute>
-                            </reference>
-                          </xsl:otherwise>
-                        </xsl:choose>
-                      </xsl:for-each>
-                    </xsl:if>
-                  </xsl:for-each>
-                </xsl:otherwise>
-              </xsl:choose>
-              <reference href="titlepageback.xhtml" type="text" title="About this book"/>
-            </guide>
-          </package>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/titlepage.xhtml</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/titlepage.xhtml')}" method="xml">
-          <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-            <head>
-              <xsl:call-template name="metaHTML">
-                <xsl:with-param name="title">Title page</xsl:with-param>
-              </xsl:call-template>
-              <meta name="calibre:cover" content="true"/>
-              <title>Title page</title>
-              <style type="text/css" title="override_css">
-		@page {padding: 0pt; margin:0pt}
-		body { text-align: center; padding:0pt; margin: 0pt; }
-	      </style>
-            </head>
-            <body>
-              <xsl:choose>
-                <xsl:when test="$coverImageInside=''">
-                  <div>
-                    <xsl:attribute name="style">
+														</reference>
+													</xsl:otherwise>
+												</xsl:choose>
+											</xsl:for-each>
+										</xsl:if>
+									</xsl:for-each>
+								</xsl:otherwise>
+							</xsl:choose>
+							<reference href="titlepageback.xhtml" type="text"
+								title="About this book" />
+						</guide>
+					</package>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/titlepage.xhtml
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/titlepage.xhtml')}" method="xml">
+					<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+						<head>
+							<xsl:call-template name="metaHTML">
+								<xsl:with-param name="title">
+									Title page
+								</xsl:with-param>
+							</xsl:call-template>
+							<meta name="calibre:cover" content="true" />
+							<title>Title page</title>
+							<style type="text/css" title="override_css">
+								@page {padding: 0pt; margin:0pt}
+								body { text-align: center; padding:0pt; margin: 0pt; }
+							</style>
+						</head>
+						<body>
+							<xsl:choose>
+								<xsl:when test="$coverImageInside=''">
+									<div>
+										<xsl:attribute name="style">
 		      font-family: serif; 
 		      height:860;          
 		      font-size:30pt; 
